Bug 1924625 - Sync status showing never synced even though the repositories has been synced successfully
Summary: Sync status showing never synced even though the repositories has been synced...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Sync Plans
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.11.0
Assignee: satellite6-bugs
QA Contact: Stephen Wadeley
URL:
Whiteboard:
: 2056515 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-03 10:51 UTC by mithun kalyat
Modified: 2022-06-23 14:33 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-katello-4.3.0.9-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
sync_status (35.52 KB, image/png)
2021-02-03 10:52 UTC, mithun kalyat
no flags Details
product_page (58.19 KB, image/png)
2021-02-03 10:52 UTC, mithun kalyat
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 34143 0 Normal New Sync status showing never synced even though the repositories has been synced successfully 2021-12-13 20:00:10 UTC

Description mithun kalyat 2021-02-03 10:51:27 UTC
Description of problem:

Sync status showing never synced even though the repositories has been synced successfully

How reproducible:

Sync a repository and check the Content --> sync status page after few days. It will be showing Never Synced and there is no other information available. Navigate to Content --> Products, here the correct data is available, synced or not, package count, last sync etc.

Comment 1 mithun kalyat 2021-02-03 10:52:07 UTC
Created attachment 1754665 [details]
sync_status

Comment 2 mithun kalyat 2021-02-03 10:52:36 UTC
Created attachment 1754666 [details]
product_page

Comment 3 Brad Buckingham 2021-02-08 14:26:32 UTC
Is it possible that task cleanup was performed on the Satellite?  If so, the sync status task may no longer exist.

Comment 4 mithun kalyat 2021-02-10 15:44:40 UTC
Hi Brad,

Yes, I have cleaned the sync tasks and initiated new ones. However the sync status should be showing synced(something like already or just synced) as the packages has been downloaded right ?

Regards.

Comment 5 Samir Jha 2021-11-29 17:14:52 UTC
(In reply to mithun kalyat from comment #4)
> Hi Brad,
> 
> Yes, I have cleaned the sync tasks and initiated new ones. However the sync
> status should be showing synced(something like already or just synced) as
> the packages has been downloaded right ?
> 
> Regards.

Hey Mithun,

From your last comment, can you confirm that you can see the sync status after the new sync tasks were run?

To show the sync status of a repository, we need the last sync task for the repository. The cleanup rake task if set to run automatically, deletes all stopped tasks older than 30 days and all tasks older than a year. https://access.redhat.com/solutions/2755731 . Is that what was set up in the system?

Comment 6 mithun kalyat 2021-11-30 15:56:45 UTC
Hi Samir,

Just to clarify, I am concerned about the message we are seeing for repositories under Content --> sync status page. So after few days or when we run a sync task clean up as per https://access.redhat.com/solutions/2755731, you will see the status of repository is 'Never synced'. It is actually confusing because we have already synced the repository but just cleaned the tasks. I understand this is based on tasks and when we clear it, the status will change. My request is to at least change the message to something like 'Synced' or 'Sync tasks Cleaned' instead 'Never synced'.

Hope this clear, please let me know if you still have any questions for me.

Comment 7 Bryan Kearney 2021-12-18 20:04:22 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/34143 has been resolved.

Comment 8 Brad Buckingham 2022-02-27 17:40:46 UTC
*** Bug 2056515 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.